/// <reference types="node" />
import { Signature } from '@shardeum-foundation/lib-crypto-utils';
import { FastifyInstance } from 'fastify';
import { Server, IncomingMessage, ServerResponse } from 'http';
export declare function registerRoutes(server: FastifyInstance<Server, IncomingMessage, ServerResponse>): void;
export declare const validateRequestData: (data: unknown & {
    sender: string;
    sign: Signature;
}, expectedDataType: Record<string, unknown>, skipArchiverCheck?: boolean) => {
    success: boolean;
    error?: string;
};
export declare enum RequestDataType {
    CYCLE = "cycleinfo",
    RECEIPT = "receipt",
    ORIGINALTX = "originalTx",
    ACCOUNT = "account",
    TRANSACTION = "transaction",
    TOTALDATA = "totalData",
    CHECKPOINT = "checkpoint"
}
export declare const queryFromArchivers: (type: RequestDataType, queryParameters: object, timeoutInSecond?: number) => Promise<unknown | null>;
