/**
 * TransactionDigest is for storing transaction digests, which is the hash of prevHash
 * and list of transactions in a timestamp range
 */
export interface TransactionDigest {
    cycleStart: number;
    cycleEnd: number;
    txCount: number;
    hash: string;
}
export declare function insertTransactionDigest(txDigest: TransactionDigest): Promise<void>;
export declare function getLastProcessedTxDigest(): Promise<TransactionDigest>;
export declare function queryByEndCycle(endCycle: number): Promise<TransactionDigest>;
export declare function queryByCycleRange(startCycle: number, endCycle: number): Promise<TransactionDigest[]>;
